Bug 452651

Summary: Udev taking too much to load
Product: [Fedora] Fedora Reporter: Robert Petranović <robi.petranovic>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 10CC: qdlacz, tschan+redhat.com
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-10-13 10:09:34 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
today's yum logs none

Description Robert Petranović 2008-06-24 06:12:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9) Gecko/2008061721 Fedora/3.0-1.fc10 Firefox/3.0

Description of problem:
Udev is taking about 1 minute to load on boot.

My GRUB entry:
title Fedora (2.6.26-0.81.rc7.fc10.x86_64)
	root (hd0,2)
	kernel /vmlinuz-2.6.26-0.81.rc7.fc10.x86_64 ro root=/dev/VolGroup00/LogVol00 quiet
	initrd /initrd-2.6.26-0.81.rc7.fc10.x86_64.img

System is up-to-date

Version-Release number of selected component (if applicable):
udev-124-1

How reproducible:
Always


Steps to Reproduce:
1.Booting like normal

Actual Results:


Expected Results:


Additional info:
Comment 1 Harald Hoyer 2008-06-24 06:31:22 EDT
it is loading nearly all kernel modules via modprobe.
Comment 2 Harald Hoyer 2008-06-24 06:32:12 EDT
oh, ok.. 1 minute? hmm, try booting with "udevinfo" in the kernel command line.
Comment 3 Robert Petranović 2008-06-24 06:52:48 EDT
ok, I removed quiet from kernel boot arguments and added udevinfo. It is
frezzing for 1 minute after saying this:

udev[622] udev-done: seq 1074, pid[1507], exit with 0, 1 seconds old
Comment 4 Harald Hoyer 2008-06-24 08:52:42 EDT
you also may try "modprobedebug" or "udevdebug"

maybe there is a firmware missing for a driver/module.
Comment 5 Robert Petranović 2008-06-25 06:03:20 EDT
Created attachment 310246 [details]
today's yum logs
Comment 6 Robert Petranović 2008-06-25 06:03:34 EDT
hm, with new system update, using kernel-2.6.26-0.81.rc7 the boot works fine.
But the new updated kernel doesn't boot at all.

Kernel version is: kernel-2.6.26-0.85.rc7.git1
The boot freezes after saying: Booting kernel.

And the message is shown at the bottom of screen:
PANIC: early exeption 06 RIP 10: FFFFFFF8114a546 ERROR 0 CR 2

I have disabled quitet mode....

In attachment I'm showing you yum.log file (only today logs)
Comment 7 Harald Hoyer 2008-06-25 06:08:33 EDT
(In reply to comment #6)
> hm, with new system update, using kernel-2.6.26-0.81.rc7 the boot works fine.
> But the new updated kernel doesn't boot at all.
> 
> Kernel version is: kernel-2.6.26-0.85.rc7.git1
> The boot freezes after saying: Booting kernel.
> 
> And the message is shown at the bottom of screen:
> PANIC: early exeption 06 RIP 10: FFFFFFF8114a546 ERROR 0 CR 2
> 
> I have disabled quitet mode....
> 
> In attachment I'm showing you yum.log file (only today logs)
> 

for this open another bug please, and close this one, if all is ok for udev.
Comment 8 Bug Zapper 2008-11-25 21:27:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Harald Hoyer 2009-01-20 06:32:26 EST
please boot with "modprobedebug" added to the kernel command line
Comment 10 Robert Petranović 2009-01-20 10:18:33 EST
I'm sorry, I can't help you... I'm not using Fedora any more
Comment 11 Krzesimir Nowak 2009-07-11 17:25:31 EDT
I upgraded udev to version in fedora 11 in upgrades-testing. It loads several minutes now. After replacing 'quiet' kernel parameter to 'udevinfo' (I also set udev_log in /etc/udev/udev.conf to "info") and rebooting my screen was flooded with lots of quickly passing informations, so I couldn't catch anything. What I saw was udevd-event[number] where number was incrementing up to almost 1000. Nothing is logged in dmesg, in messages - number is from 1500 something and in boot.log is from 973 - probably there was so much messages that only the last part was saved.

Sorry for chaos, but now I don't know what information you need. I just wonder how to make boot.log hold more messages, so I could attach them here.

udev: 141
kernel: 2.6.29.5-191.fc11.i686.PAE
Comment 12 Harald Hoyer 2009-07-13 04:19:00 EDT
(In reply to comment #11)
> I upgraded udev to version in fedora 11 in upgrades-testing. It loads several
> minutes now. After replacing 'quiet' kernel parameter to 'udevinfo' (I also set
> udev_log in /etc/udev/udev.conf to "info") and rebooting my screen was flooded
> with lots of quickly passing informations, so I couldn't catch anything. What I
> saw was udevd-event[number] where number was incrementing up to almost 1000.
> Nothing is logged in dmesg, in messages - number is from 1500 something and in
> boot.log is from 973 - probably there was so much messages that only the last
> part was saved.
> 
> Sorry for chaos, but now I don't know what information you need. I just wonder
> how to make boot.log hold more messages, so I could attach them here.
> 
> udev: 141
> kernel: 2.6.29.5-191.fc11.i686.PAE  

can you please open a new bugzilla for this?
Comment 13 Daniel Tschan 2009-08-08 02:01:52 EDT
I had a similar problem on Fedora 11, where udev took about 1 minute to load. But only after recently upgrading the kernel. The floppy module turned out to be the culprit. There is no floppy installed in my machine. Disabling the floppy in the BIOS resolved the problem. Alternatively blacklisting the floppy module should have helped, too.